import { EventEmitter } from '@angular/core';
import { Notification } from './notification-bar.models';
import * as i0 from "@angular/core";
/**
 * A service to create notification, It can be used from any component or guard
 */
export declare class NotificationBarService {
    onCreate: EventEmitter<Notification>;
    onClose: EventEmitter<Notification>;
    constructor();
    create(notification: Notification): void;
    close(notification: Notification): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationBarService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NotificationBarService>;
}
